List of products
GET
/v2/supplier-order-products/{id}
const url = 'https://api-admin.billz.ai/v2/supplier-order-products/example?page=1&limit=10&status=added';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v2/supplier-order-products/example?page=1&limit=10&status=added' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Purchase order ID
Query Parameters
Section titled “Query Parameters”page
integer format: int32
At most 1000, otherwise 400
Example
1limit
integer format: int32
At most 1000
Example
10status
string
Without the parameter — all items. Allowed values: added, small_left, zero_left, ordered_before; others — 400 “invalid status”
Example
addedshop_id
string
search
string
Search; no more than 100 characters
returned_supplier_order_id
string
Return order identifier; when passed, returns are selected
supplier_id
string
sort_field
Array<string>
Sort field
sort_direction
Array<string>
asc or desc; applied only together with sort_field
Header Parameters
Section titled “Header Parameters”platform-id
string
Platform identifier. A static value is used for integrations.
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
items
Array<object>
object
id
string
supplier_order_id
string
company_id
Company identifier
string
product_id
string
old_retail_price
number format: double
old_supply_price
number format: double
retail_price
number format: double
supply_price
number format: double
ordered_measurement_value
number format: double
small_left_measurement_value
number format: double
product
Product
object
id
string
company_id
string
name
string
sku
string
barcode
string
additional_barcodes
Array<object>
object
measurement_values
object
total_measurement_value
number
total_active_measurement_value
number
total_inactive_measurement_value
number
measurement_unit
object
id
string
name
string
company_id
string
short_name
string
precision
string
is_editable
boolean
is_default
boolean
shop_measurement_values
Array<object>
object
small_left_measurement_value
number
has_trigger
boolean
shop_id
string
total_measurement_value
number
total_min_supply_price
number
total_max_supply_price
number
total_supply_sum
number
total_active_measurement_value
number
total_active_min_supply_price
number
total_active_max_supply_price
number
total_active_supply_sum
number
total_inactive_measurement_value
number
total_inactive_min_supply_price
number
total_inactive_max_supply_price
number
total_inactive_supply_sum
number
total_sold_measurement_value
number
total_imported_measurement_value
number
total_transfer_arrived_measurement_value
number
total_transfered_measurement_value
number
total_in_transfer_measurement_value
number
total_in_transfer_min_supply_price
number
total_in_transfer_max_supply_price
number
total_in_transfer_supply_sum
number
total_written_off_measurement_value
number
import_started_measurement_value
number
is_small_left
boolean
total_retail_sum
number
total_active_retail_sum
number
total_inactive_retail_sum
number
shop_prices
Array<object>
object
shop_id
string
retail_price
number
retail_currency
string
supply_currency
string
min_supply_price
number
max_supply_price
number
supply_price
number
wholesale_price
number
min_price
number
max_price
number
prices_list
Array<number>
from_supply_price
number
currency_prices
Array<object>
object
currency
string
retail_price
number
min_supply_price
number
max_supply_price
number
supply_price
number
wholesale_price
number
min_price
number
max_price
number
prices_list
Array<number>
promo_price
number
promos
Array<object>
object
retail_price_created_at
string
supply_price_created_at
string
prices
object
total_supply_price
number
total_retail_price
number
total_active_supply_price
number
total_active_retail_price
number
total_inactive_supply_price
number
total_inactive_retail_price
number
product_type_id
string
created_at
string
updated_at
string
base_name
string
archived_at
string
archived_by
object
id
string
name
string
product_supplier_stock
Array<object>
object
supplier_id
string
supplier_name
string
shop_id
string
measurement_value
number
min_supply_price
number
max_supply_price
number
retail_price
number
wholesale_price
number
product_supply_stock
Array<object>
object
shop_id
string
shop_name
string
measurement_value
number
active_measurement_value
number
inactive_measurement_value
number
supply_price
number
supplier_ids
Array<string>
status
integer
scale_plu
integer
scale_code
integer
is_scalable
boolean
shop_free_prices
Array<object>
object
shop_id
string
sell_with_free_price
boolean
sort
Array<string>
cash_sale
number
description
string
categories
Array<object>
object
id
string
name
string
parent_id
string
all_parent_ids
Array<string>
subRows
Array<object>
object
id
string
name
string
parent_id
string
all_parent_ids
Array<string>
subRows
Array<object> recursive
product_count
integer format: int32
company_id
string
is_open
boolean
level_number
integer format: int32
from_parent
boolean
deleted_at
integer format: int32
super_parent_id
string
product_count
integer
company_id
string
is_open
boolean
level_number
integer
from_parent
boolean
super_parent_id
string
deleted_at
integer
custom_fields
Array<object>
object
custom_field_name
string
custom_field_system_name
string
custom_field_id
string
custom_field_value
string
from_parent
boolean
brand_id
string
brand_name
string
updated_at
string
updated_at_int
integer format: int64
selected_measurement_value
number format: double
total_ordered_measurement_value
number format: double
free_price
boolean
returned_measurement_value
number format: double
left_measurement_value
number format: double
ordered
number format: double
total_measurement_value_to_return
number format: double
to_return_amount
number format: double
product_info
string
wholesale_price
Wholesale price
number format: double
count
integer format: int32
product_ids
Array<string>
statistics_by_status
Absent from the response if the value is empty
object
total_measurement_value
number
small_left_count
integer
zero_left_count
integer
ordered_before_count
integer
Examplegenerated
{ "items": [ { "id": "example", "supplier_order_id": "example", "company_id": "example", "product_id": "example", "old_retail_price": 1, "old_supply_price": 1, "retail_price": 1, "supply_price": 1, "ordered_measurement_value": 1, "small_left_measurement_value": 1, "product": { "id": "example", "company_id": "example", "name": "example", "sku": "example", "barcode": "example", "additional_barcodes": [ {} ], "measurement_values": { "total_measurement_value": 1, "total_active_measurement_value": 1, "total_inactive_measurement_value": 1 }, "measurement_unit": { "id": "example", "name": "example", "company_id": "example", "short_name": "example", "precision": "example", "is_editable": true, "is_default": true }, "shop_measurement_values": [ { "small_left_measurement_value": 1, "has_trigger": true, "shop_id": "example", "total_measurement_value": 1, "total_min_supply_price": 1, "total_max_supply_price": 1, "total_supply_sum": 1, "total_active_measurement_value": 1, "total_active_min_supply_price": 1, "total_active_max_supply_price": 1, "total_active_supply_sum": 1, "total_inactive_measurement_value": 1, "total_inactive_min_supply_price": 1, "total_inactive_max_supply_price": 1, "total_inactive_supply_sum": 1, "total_sold_measurement_value": 1, "total_imported_measurement_value": 1, "total_transfer_arrived_measurement_value": 1, "total_transfered_measurement_value": 1, "total_in_transfer_measurement_value": 1, "total_in_transfer_min_supply_price": 1, "total_in_transfer_max_supply_price": 1, "total_in_transfer_supply_sum": 1, "total_written_off_measurement_value": 1, "import_started_measurement_value": 1, "is_small_left": true, "total_retail_sum": 1, "total_active_retail_sum": 1, "total_inactive_retail_sum": 1 } ], "shop_prices": [ { "shop_id": "example", "retail_price": 1, "retail_currency": "example", "supply_currency": "example", "min_supply_price": 1, "max_supply_price": 1, "supply_price": 1, "wholesale_price": 1, "min_price": 1, "max_price": 1, "prices_list": [ 1 ], "from_supply_price": 1, "currency_prices": [ { "currency": "example", "retail_price": 1, "min_supply_price": 1, "max_supply_price": 1, "supply_price": 1, "wholesale_price": 1, "min_price": 1, "max_price": 1, "prices_list": [ 1 ] } ], "promo_price": 1, "promos": [ {} ], "retail_price_created_at": "example", "supply_price_created_at": "example" } ], "prices": { "total_supply_price": 1, "total_retail_price": 1, "total_active_supply_price": 1, "total_active_retail_price": 1, "total_inactive_supply_price": 1, "total_inactive_retail_price": 1 }, "product_type_id": "example", "created_at": "example", "updated_at": "example", "base_name": "example", "archived_at": "example", "archived_by": { "id": "example", "name": "example" }, "product_supplier_stock": [ { "supplier_id": "example", "supplier_name": "example", "shop_id": "example", "measurement_value": 1, "min_supply_price": 1, "max_supply_price": 1, "retail_price": 1, "wholesale_price": 1 } ], "product_supply_stock": [ { "shop_id": "example", "shop_name": "example", "measurement_value": 1, "active_measurement_value": 1, "inactive_measurement_value": 1, "supply_price": 1, "supplier_ids": [ "example" ] } ], "status": 1, "scale_plu": 1, "scale_code": 1, "is_scalable": true, "shop_free_prices": [ { "shop_id": "example", "sell_with_free_price": true } ], "sort": [ "example" ], "cash_sale": 1, "description": "example", "categories": [ { "id": "example", "name": "example", "parent_id": "example", "all_parent_ids": [ "example" ], "subRows": [ { "id": "example", "name": "example", "parent_id": "example", "all_parent_ids": [ "example" ], "subRows": [], "product_count": 1, "company_id": "example", "is_open": true, "level_number": 1, "from_parent": true, "deleted_at": 1, "super_parent_id": "example" } ], "product_count": 1, "company_id": "example", "is_open": true, "level_number": 1, "from_parent": true, "super_parent_id": "example", "deleted_at": 1 } ], "custom_fields": [ { "custom_field_name": "example", "custom_field_system_name": "example", "custom_field_id": "example", "custom_field_value": "example", "from_parent": true } ], "brand_id": "example", "brand_name": "example" }, "updated_at": "example", "updated_at_int": 1, "selected_measurement_value": 1, "total_ordered_measurement_value": 1, "free_price": true, "returned_measurement_value": 1, "left_measurement_value": 1, "ordered": 1, "total_measurement_value_to_return": 1, "to_return_amount": 1, "product_info": "example", "wholesale_price": 1 } ], "count": 1, "product_ids": [ "example" ], "statistics_by_status": { "total_measurement_value": 1, "small_left_count": 1, "zero_left_count": 1, "ordered_before_count": 1 }}